actions: []
api_documentation: http://docs.ros.org/lunar/api/ethercat_hardware/html
authors: Rob Wheeler <wheeler@willowgarage.com>, Derek King <dking@willowgarage.com>
brief: ''
bugtracker: ''
depends:
- catkin
- diagnostic_msgs
- diagnostic_updater
- eml
- message_generation
- message_runtime
- pluginlib
- pr2_hardware_interface
- pr2_msgs
- realtime_tools
- roscpp
depends_on:
- pr2_ethercat_drivers
description: Package for creating a hardware interface to the robot using the EtherCAT
  motor controller/driver
devel_jobs:
- http://build.ros.org/view/Ldev/job/Ldev__pr2_ethercat_drivers__ubuntu_xenial_amd64
doc_job: http://build.ros.org/view/Ldoc/job/Ldoc__pr2_ethercat_drivers__ubuntu_xenial_amd64
has_changelog_rst: true
license: BSD
maintainer_status: unmaintained
maintainers: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
metapackages:
- pr2_ethercat_drivers
msgs:
- BoardInfo
- MotorTrace
- RawFTDataSample
- MotorTemperature
- MotorTraceSample
- RawFTData
- ActuatorInfo
package_type: package
release_jobs:
- http://build.ros.org/view/Lsrc_uX/job/Lsrc_uX__ethercat_hardware__ubuntu_xenial__source
- http://build.ros.org/view/Lsrc_dS/job/Lsrc_dS__ethercat_hardware__debian_stretch__source
- http://build.ros.org/view/Lbin_uX64/job/Lbin_uX64__ethercat_hardware__ubuntu_xenial_amd64__binary
- http://build.ros.org/view/Lbin_ds_dS64/job/Lbin_ds_dS64__ethercat_hardware__debian_stretch_amd64__binary
- http://build.ros.org/view/Lbin_dsv8_dSv8/job/Lbin_dsv8_dSv8__ethercat_hardware__debian_stretch_arm64__binary
- http://build.ros.org/view/Lbin_uxhf_uXhf/job/Lbin_uxhf_uXhf__ethercat_hardware__ubuntu_xenial_armhf__binary
- http://build.ros.org/view/Lbin_uxv8_uXv8/job/Lbin_uxv8_uXv8__ethercat_hardware__ubuntu_xenial_arm64__binary
repo_name: pr2_ethercat_drivers
repo_url: ''
srvs:
- SoftProcessorFirmwareWrite
- SoftProcessorFirmwareRead
- SoftProcessorReset
timestamp: 1552647042.5780196
url: http://ros.org/wiki/ethercat_hardware
vcs: git
vcs_uri: https://github.com/pr2/pr2_ethercat_drivers.git
vcs_version: kinetic-devel
